phy_sanitize_settings
Prev | Driver Support | Next

## Name

phy_sanitize_settings — make sure the PHY is set to supported speed and duplex

## Synopsis

`void phy_sanitize_settings (` | struct phy_device * | phydev`)`;

## Arguments

`phydev`

  the target phy_device struct

## Description

Make sure the PHY is set to supported speeds and duplexes. Drop down by one in this order: 1000/FULL, 1000/HALF, 100/FULL, 100/HALF, 10/FULL, 10/HALF.

Prev | Up | Next
phy_write | Home | phy_ethtool_sset